package com.ruoyi.common.validRule.suitTempExist;

import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.spring.SpringUtils;
import com.ruoyi.ss.suitTemp.domain.SuitTempQuery;
import com.ruoyi.ss.suitTemp.service.SuitTempService;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * 2023/10/20
 * 枚举值校验
 */
public class SuitTempExistValidator implements ConstraintValidator<SuitTempExist, Long> {

	private SuitTempExist annotation;

	@Override
	public void initialize(SuitTempExist constraintAnnotation) {
		this.annotation = constraintAnnotation;
	}

	/**
	 * 判断是否校验成功
	 * @param value 待校验的值
	 * @return 校验结果
	 */
	@Override
	public boolean isValid(Long value, ConstraintValidatorContext context) {
		// 如果待校验的值为null，是否校验通过
		if (value == null) {
			return annotation.allowNull();
		}
		try {
			SuitTempService service = SpringUtils.getBean(SuitTempService.class);
			SuitTempQuery query = new SuitTempQuery();
			query.setTempId(value);
			if (annotation.checkBelong()) {
				query.setUserId(SecurityUtils.getUserId());
			}
			return service.selectOne(query) != null;
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
}

