package com.ruoyi.ss.suitTemp.service;

import java.util.List;
import com.ruoyi.ss.suitTemp.domain.SuitTemp;
import com.ruoyi.ss.suitTemp.domain.SuitTempQuery;
import com.ruoyi.ss.suitTemp.domain.SuitTempVO;

/**
 * 套餐模板Service接口
 *
 * @author ruoyi
 * @date 2024-07-15
 */
public interface SuitTempService
{
    /**
     * 查询套餐模板
     *
     * @param tempId 套餐模板主键
     * @return 套餐模板
     */
    public SuitTempVO selectSuitTempByTempId(Long tempId);

    /**
     * 查询套餐模板列表
     *
     * @param query 套餐模板
     * @return 套餐模板集合
     */
    public List<SuitTempVO> selectSuitTempList(SuitTempQuery query);

    /**
     * 新增套餐模板
     *
     * @param suitTemp 套餐模板
     * @return 结果
     */
    public int insertSuitTemp(SuitTemp suitTemp);

    /**
     * 修改套餐模板
     *
     * @param suitTemp 套餐模板
     * @return 结果
     */
    public int updateSuitTemp(SuitTemp suitTemp);

    /**
     * 批量删除套餐模板
     *
     * @param tempIds 需要删除的套餐模板主键集合
     * @return 结果
     */
    public int deleteSuitTempByTempIds(Long[] tempIds);

    /**
     * 删除套餐模板信息
     *
     * @param tempId 套餐模板主键
     * @return 结果
     */
    public int deleteSuitTempByTempId(Long tempId);

    /**
     * 查询一个
     */
    SuitTempVO selectOne(SuitTempQuery query);
}
