package com.ruoyi.ss.suitTemp.service.impl;

import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.ss.suitTemp.domain.SuitTemp;
import com.ruoyi.ss.suitTemp.domain.SuitTempVO;
import com.ruoyi.ss.suitTemp.service.SuitTempConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/7/15
 */
@Service
public class SuitTempConverterImpl implements SuitTempConverter {
    /**
     * 创建时，APP VO 转为 PO
     */
    @Override
    public SuitTemp toPoByAppCreate(SuitTempVO vo) {
        if (vo == null) {
            return null;
        }
        SuitTemp po = new SuitTemp();
        po.setUserId(vo.getUserId());
        po.setName(vo.getName());
        po.setPrice(vo.getPrice());
        po.setValue(vo.getValue());
        po.setDescription(vo.getDescription());
        return po;
    }


    /**
     * 修改时，APP VO 转为 PO
     */
    @Override
    public SuitTemp toPoByAppUpdate(SuitTempVO vo) {
        if (vo == null) {
            return null;
        }
        SuitTemp po = new SuitTemp();
        po.setTempId(vo.getTempId());
        po.setName(vo.getName());
        po.setPrice(vo.getPrice());
        po.setValue(vo.getValue());
        po.setDescription(vo.getDescription());
        return po;
    }
}
