package com.ruoyi.ss.suitTemp.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ss.suitTemp.domain.SuitTempQuery;
import com.ruoyi.ss.suitTemp.domain.SuitTempVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ss.suitTemp.mapper.SuitTempMapper;
import com.ruoyi.ss.suitTemp.domain.SuitTemp;
import com.ruoyi.ss.suitTemp.service.SuitTempService;

/**
 * 套餐模板Service业务层处理
 *
 * @author ruoyi
 * @date 2024-07-15
 */
@Service
public class SuitTempServiceImpl implements SuitTempService
{
    @Autowired
    private SuitTempMapper suitTempMapper;

    /**
     * 查询套餐模板
     *
     * @param tempId 套餐模板主键
     * @return 套餐模板
     */
    @Override
    public SuitTempVO selectSuitTempByTempId(Long tempId)
    {
        return suitTempMapper.selectSuitTempByTempId(tempId);
    }

    /**
     * 查询套餐模板列表
     *
     * @param query 套餐模板
     * @return 套餐模板
     */
    @Override
    public List<SuitTempVO> selectSuitTempList(SuitTempQuery query)
    {
        return suitTempMapper.selectSuitTempList(query);
    }

    /**
     * 新增套餐模板
     *
     * @param suitTemp 套餐模板
     * @return 结果
     */
    @Override
    public int insertSuitTemp(SuitTemp suitTemp)
    {
        suitTemp.setCreateTime(DateUtils.getNowDate());
        return suitTempMapper.insertSuitTemp(suitTemp);
    }

    /**
     * 修改套餐模板
     *
     * @param suitTemp 套餐模板
     * @return 结果
     */
    @Override
    public int updateSuitTemp(SuitTemp suitTemp)
    {
        return suitTempMapper.updateSuitTemp(suitTemp);
    }

    /**
     * 批量删除套餐模板
     *
     * @param tempIds 需要删除的套餐模板主键
     * @return 结果
     */
    @Override
    public int deleteSuitTempByTempIds(Long[] tempIds)
    {
        return suitTempMapper.deleteSuitTempByTempIds(tempIds);
    }

    /**
     * 删除套餐模板信息
     *
     * @param tempId 套餐模板主键
     * @return 结果
     */
    @Override
    public int deleteSuitTempByTempId(Long tempId)
    {
        return suitTempMapper.deleteSuitTempByTempId(tempId);
    }

    @Override
    public SuitTempVO selectOne(SuitTempQuery query) {
        return suitTempMapper.selectOne(query);
    }
}
